<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class JugadorEquipo extends Model
{
    protected $table = 'jugador_equipo';
    public $timestamps = false;
    public $incrementing = false;

    protected $fillable = [
        'id_jugador',
        'id_equipo',
        'fecha_alta',
    ];

    protected $casts = [
        'id_jugador' => 'string',
        'id_equipo' => 'integer',
        'fecha_alta' => 'date',
    ];

    public function jugador()
    {
        return $this->belongsTo(Jugador::class, 'id_jugador', 'id_jugador');
    }

    public function equipo()
    {
        return $this->belongsTo(Equipo::class, 'id_equipo', 'id_equipo');
    }
}
